javax.websocket

## Interface Decoder.TextStream<T>

- All Superinterfaces:
    Decoder
  Enclosing interface:
    Decoder

      public static interface Decoder.TextStream<T>
      extends Decoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.Decoder

      `Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `decode(java.io.Reader reader)`

    - ### Methods inherited from interface javax.websocket.Decoder

      `destroy, init`

- - ### Method Detail

    - #### decode

          T decode(java.io.Reader reader)
                   throws DecodeException,
                          java.io.IOException

      Throws:
        `DecodeException`
        `java.io.IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.